> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Form



## OpenAPI

````yaml get /forms/{form_path}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /forms/{form_path}:
    get:
      tags:
        - provider
        - forms
        - public
      summary: Get Form
      operationId: get_form_forms__form_path__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: form_path
          in: path
          required: true
          schema:
            type: string
            title: Form Path
        - name: patient_id
          in: query
          required: true
          schema:
            type: string
            title: Patient Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnsweredFormDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AnsweredFormDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        patientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientid
        blocks:
          items:
            $ref: '#/components/schemas/AnsweredBlockDetail'
          type: array
          title: Blocks
        completed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Completed
        isCompleted:
          type: boolean
          title: Iscompleted
          default: false
      type: object
      required:
        - id
        - name
        - patientId
        - blocks
      title: AnsweredFormDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AnsweredBlockDetail:
      properties:
        blockType:
          $ref: '#/components/schemas/BlockType'
        name:
          type: string
          title: Name
        position:
          type: integer
          title: Position
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          type: string
          title: Id
        answers:
          items:
            $ref: '#/components/schemas/AnswerDetail'
          type: array
          title: Answers
      type: object
      required:
        - blockType
        - name
        - position
        - id
        - answers
      title: AnsweredBlockDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    BlockType:
      type: string
      enum:
        - DYNAMIC
        - DEMOGRAPHICS
        - INSURANCE
        - PAYMENT_METHODS
        - MEDICAL_HISTORY
      title: BlockType
    AnswerDetail:
      properties:
        question:
          anyOf:
            - $ref: '#/components/schemas/QuestionDetail-Output'
            - type: 'null'
        data:
          anyOf:
            - type: string
            - type: boolean
            - items:
                type: string
              type: array
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: 'null'
              type: object
            - type: number
            - type: 'null'
          title: Data
      type: object
      title: AnswerDetail
    QuestionDetail-Output:
      properties:
        id:
          type: string
          title: Id
        blockId:
          type: string
          title: Blockid
        formId:
          type: string
          title: Formid
        position:
          type: integer
          title: Position
        questionType:
          $ref: '#/components/schemas/QuestionType'
        required:
          type: boolean
          title: Required
        isArchived:
          type: boolean
          title: Isarchived
          default: false
        mappingKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Mappingkey
        data:
          $ref: '#/components/schemas/QuestionData'
        conditions:
          items:
            $ref: '#/components/schemas/QuestionConditionDetail'
          type: array
          title: Conditions
          default: []
      type: object
      required:
        - id
        - blockId
        - formId
        - position
        - questionType
        - required
        - data
      title: QuestionDetail
    QuestionType:
      type: string
      enum:
        - ADDRESS
        - DATE
        - TEXT
        - NUMBER
        - TEXT_AREA
        - SINGLE_SELECT
        - RADIAL_SINGLE_SELECT
        - MULTI_SELECT
        - RADIAL_MULTI_SELECT
        - TOGGLE
        - SIGNATURE
        - FILE_UPLOAD
        - PHONE_NUMBER
        - EMAIL
        - PAYMENT_METHOD
        - TAG
        - DISCLAIMER
        - STATEMENT
        - DOCUMENT
        - FEET_INCHES_HEIGHT
        - POUNDS_WEIGHT
        - CALCULATED_SCORE
      title: QuestionType
    QuestionData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
      title: QuestionData
    QuestionConditionDetail:
      properties:
        id:
          type: string
          title: Id
        questionId:
          type: string
          title: Questionid
        dependentQuestionId:
          type: string
          title: Dependentquestionid
        operator:
          $ref: '#/components/schemas/ConditionOperator'
        value:
          type: string
          title: Value
        groupId:
          anyOf:
            - type: string
            - type: 'null'
          title: Groupid
      type: object
      required:
        - id
        - questionId
        - dependentQuestionId
        - operator
        - value
      title: QuestionConditionDetail
    ConditionOperator:
      type: string
      enum:
        - EQUALS
        - NOT_EQUALS
        - CONTAINS
        - YEARS_AGO_MINIMUM
        - YEARS_AGO_MAXIMUM
        - SUM
      title: ConditionOperator

````